var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconCreateFile2Component(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-CreateFile2").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 12 12" }, rest, { ref: ref }),
        React.createElement("g", { clipPath: "url(#svg_e6dcd06e33__svg_e6dcd06e33__a)" },
            React.createElement("path", { fillRule: "evenodd", d: "m8.25.5 2.25 2.357V6h-1V3.51h-2V1.5h-5v9H6v1H2a.5.5 0 0 1-.5-.5V1A.5.5 0 0 1 2 .5h6.25Zm1 6.5a.25.25 0 0 1 .25.25V8.5h1.25a.25.25 0 0 1 .25.25v.5a.25.25 0 0 1-.25.25H9.5v1.25a.25.25 0 0 1-.25.25h-.5a.25.25 0 0 1-.25-.25V9.5H7.25A.25.25 0 0 1 7 9.25v-.5a.25.25 0 0 1 .25-.25H8.5V7.25A.25.25 0 0 1 8.75 7h.5Z", clipRule: "evenodd" })),
        React.createElement("defs", null,
            React.createElement("clipPath", { id: "svg_e6dcd06e33__svg_e6dcd06e33__a" },
                React.createElement("path", { d: "M0 0h12v12H0z" }))));
}
var IconCreateFile2 = React.forwardRef(IconCreateFile2Component);
export default IconCreateFile2;
